List pickup locations
curl --request GET \
--url https://api.marzipan.co/v1/account/pickup-locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/pickup-locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/pickup-locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d4e5f607-1829-30a1-b2c3-d4e5f6071829",
"name": "London Warehouse",
"description": "Collect in person from our London warehouse",
"method": "pickup",
"amount": "£0.00",
"countries": [],
"countryCount": 0,
"remainingCountries": [],
"countriesWithZones": null,
"status": true
}
]
}{
"message": "Unauthenticated."
}Account
List pickup locations
Retrieve the active pickup shipping methods (collection points) available to the authenticated customer.
GET
/
account
/
pickup-locations
List pickup locations
⌘I

